Package: grails.rest.render.json

## [Groovy] Class JsonCollectionRenderer

- grails.rest.render.json.JsonCollectionRenderer

- All Implemented Interfaces and Traits:
    ContainerRenderer

      @groovy.transform.CompileStatic
      class JsonCollectionRenderer
      extends JsonRenderer
      implements ContainerRenderer

  A JSON renderer for a collection of objects

  Since:
    2.3.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.Class` | `componentType` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class JsonRenderer` | `excludes, grailsApplication, includes, proxyHandler`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.Class` | `componentType`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JsonCollectionRenderer (java.lang.Class componentType)`
    `JsonCollectionRenderer (java.lang.Class componentType, MimeType[] mimeTypes)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `renderJson(grails.converters.JSON converter, RenderContext context)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class JsonRenderer` | `registerCustomConverter, registerCustomMarshaller, renderJson`

- - ### Field Detail

    - #### private final java.lang.Class componentType

  - ### Property Detail

    - #### final java.lang.Class componentType

  - ### Constructor Detail

    - #### JsonCollectionRenderer(java.lang.Class componentType)

    - #### JsonCollectionRenderer(java.lang.Class componentType, MimeType[] mimeTypes)

  - ### Method Detail

    - #### @java.lang.Override protected void renderJson(grails.converters.JSON converter, RenderContext context)